Jail Plugin | MySQL, MongoDB, PostgreSQL | Like GrieferGames | 1.17 - 1.19

Jail Plugin | MySQL, MongoDB, PostgreSQL | Like GrieferGames | 1.17 - 1.19

Minecraft Version
  1. 1.19
  2. 1.18
  3. 1.17
Sourcecode: https://chunkfactory.com/product/jail-plugin-only-sourcecode.3287/

About Jail
With the Jail Plugin you can force players who don't follow the rules to break down Obisdian blocks in order to be able to play again.

The extensive configuration file of the plugin also gives you the option of activating voting so that your players can start voting whether a player should come into the jail even if there is no moderator.

Of course, the jail plugin also works across servers if you have set the plugin and the same database connection on the different servers. You can set reasons for players to get jailed, including the number of obsidan blocks the player needs to mine. The chat and the commands can be activated and deactivated via the config.

You can adapt each individual message to your server design and language in the messages.json file.

Commands
- /jailadmin - Manages the jail plugin [Permission: jail.admin]
- /jail - Jail players [Permission: jail.use | jail.reason.* / jail.reason.(reasonname)]
- /unjail - Remove players from jail [Permission: jail.unjail]
- /votejail - Start a vote so your community can decide if someone should enter the jail. [Permission: jail.vote.use | jail.vote.chat | jail.vote.ignore]

Requirements
You need at least Java 16 and Spigot to use Jail Plugin. Spigot versions 1.17.1 to 1.19.2 are supported. Other versions may also work, but we do not offer support for them.
Additionally you need a supported database system, the plugin offer support for MongoDB, MySQL and PostgreSQL.

If you have any bugs, problems or other requests, please use the "Get Support" button to report them here on Chunkfactory.
Author
domi<3
Price
€5.00
First release